import java.io.*;
import javax.naming.*;
import eieio.* ;
import com.javaranch.common.* ;

public class FarmServlet extends LogServlet 
{

    public void doGet( PrintWriter out , CastMap parms )
    {
        try 
        {
            AnimalHome home = (AnimalHome)EJBClient.getHome( "AnimalEJB" , AnimalHome.class );
            AnimalRemote remote = home.findByPrimaryKey( "cows" );
            out.println( "There are " + remote.getCount() + " cows in the barn." );
        }
        catch( Exception e ) 
        {
            out.println( "damn! " + e );
        }
    }
}
