@echo off

echo ************************************** compiling EJB ....
del eieio\*.class
javac eieio\*.java

echo ************************************** creating EJB jar ....
          
del critters.jar                  
jar -cf critters.jar META-INF\ejb-jar.xml eieio\AnimalHome.class eieio\AnimalRemote.class eieio\AnimalBean.class

echo ************************************** compiling servlet ....

del *.class
javac AddAnimalServlet.java

echo ************************************** creating war ....
          
del farm.war                  
copy AddAnimalServlet.class WEB-INF\classes
copy eieio\Animal.class WEB-INF\classes\eieio
jar -cf farm.war WEB-INF\web.xml WEB-INF\classes\AddAnimalServlet.class WEB-INF\classes\eieio\Animal.class index.html

echo ************************************** creating ear ....
          
del oldmcdonald.ear
jar -cf oldmcdonald.ear META-INF\application.xml critters.jar farm.war

echo ************************************** copying ear to orion ....

copy oldmcdonald.ear \orion\applications

echo ************************************** done.
