package eieio ;

import java.util.*;
import javax.ejb.*;
import com.javaranch.common.* ;

public class AnimalBean extends EntityEJB 
{

    ////////////////////////// EJB required methods.

    /** Provided for the use of EntityEJB helper methods. <p>
    */
    protected String getPKTable()
    {
        return "BARN" ;
    }

    /** Provided for the use of EntityEJB helper methods. <p>
    */
    protected String getPKColumn()
    {
        return "ID" ;
    }
    
    public Integer ejbCreate( Animal a ) throws CreateException
    {
        int returnVal = -1 ;
        HashMap data = new HashMap();
        data.put( "TYPE" , a.getType() );
        data.put( "NAME" , a.getName() );
        data.put( "BREED" , a.getBreed() );
        data.put( "DESCRIPTION" , a.getDesc() );
        try
        {
            returnVal = (int)newRowWithID( data );
        }
        catch ( Exception e )
        {
            throw new CreateException( "ejbCreate() fail: " + e );
        }

        setDirty( false );
        return new Integer( returnVal );
    }

    public void ejbPostCreate( Animal a ) throws CreateException    
    {
    }
    
    public Integer ejbFindByPrimaryKey( Integer id ) throws FinderException
    {
        getPrimaryKey( id.toString() );
        return id ;
    }

    public void ejbStore()
    {
        /*
        if ( isDirty() )
        {
            try
            {
                HashMap map = new HashMap();
                map.put( "QUANTITY" , String.valueOf( count ) );
                setCurrentRow( map );
            }
            catch( Exception e )
            {
                throw new EJBException( "AnimalBean.ejbStore() fail: " + e );
            }
            setDirty( false );
        }
        */
    }

    //private static final String[] loadColumns = { "QUANTITY" };

    public void ejbLoad()
    {
        /*
        try
        {
            String[] data = getCurrentRow( loadColumns );
            count = Integer.parseInt( data[0] );
        }
        catch ( EJBException e )
        {
            throw e ;  // this is to avoid the exception message below
        }
        catch( Exception e )
        {
            throw new EJBException( "UserBean.ejbLoad() connection fail: " + e );
        }
        setDirty( false );
        */
    }
    
    
    
}
