package eieio ;

import java.util.*;
import javax.ejb.*;
import com.javaranch.common.* ;

public class AnimalBean extends EntityEJB 
{

    private int count ;

    public int getCount()
    {
        return count ;
    }

    ////////////////////////// EJB required methods.

    /** Provided for the use of EntityEJB helper methods. <p>
    */
    protected String getPKTable()
    {
        return "INVENTORY" ;
    }

    /** Provided for the use of EntityEJB helper methods. <p>
    */
    protected String getPKColumn()
    {
        return "TYPE" ;
    }
    
    public String ejbFindByPrimaryKey( String type ) throws FinderException
    {
        getPrimaryKey( type );
        return type ;
    }

    public void ejbStore()
    {
        if ( isDirty() )
        {
            try
            {
                HashMap map = new HashMap();
                map.put( "QUANTITY" , String.valueOf( count ) );
                setCurrentRow( map );
            }
            catch( Exception e )
            {
                throw new EJBException( "AnimalBean.ejbStore() fail: " + e );
            }
            setDirty( false );
        }
    }

    private static final String[] loadColumns = { "QUANTITY" };

    public void ejbLoad()
    {
        try
        {
            String[] data = getCurrentRow( loadColumns );
            count = Integer.parseInt( data[0] );
        }
        catch ( EJBException e )
        {
            throw e ;  // this is to avoid the exception message below
        }
        catch( Exception e )
        {
            throw new EJBException( "UserBean.ejbLoad() connection fail: " + e );
        }
        setDirty( false );
    }
    
}
