import java.io.*;
import javax.naming.*;
import eieio.* ;
import com.javaranch.common.* ;

public class FarmServlet extends LogServlet 
{

    public void doGet( PrintWriter out , CastMap parms )
    {
        try 
        {
            AnimalHome home = (AnimalHome)EJBClient.getHome( "AnimalEJB" , AnimalHome.class );
            AnimalRemote remote = home.findByPrimaryKey( "cows" );
            
            if ( usable( parms.getString( "add" ) ) )
            {
                remote.addOne();
                out.println( "One cow added.<p>" );
            }
            
            out.println( "There are " + remote.getCount() + " cows in the barn. <p>" );
            
            out.println( "<a href=/farm/servlet/FarmServlet>see current cow count</a><p>" );
            out.println( "<a href=/farm/servlet/FarmServlet?add=1>add a cow</a><p>" );
            
        }
        catch( Exception e ) 
        {
            out.println( "damn! " + e );
        }
    }
}
