import java.io.*;
import javax.naming.*;
import eieio.* ;
import com.javaranch.common.* ;

public class AddAnimalServlet extends LogServlet 
{

    public void doPost( PrintWriter out , CastMap parms )
    {
        String type = parms.getString( "type" );
        String name = parms.getString( "name" );
        String breed = parms.getString( "breed" );
        String desc = parms.getString( "desc" );
        
        if ( usable( type ) && usable( name ) && usable( breed ) && usable( desc ) )
        {
            try 
            {
                AnimalHome home = (AnimalHome)EJBClient.getHome( "AnimalEJB" , AnimalHome.class );
                Animal a = new Animal( type , name , breed , desc );
                home.create( a );
                out.println( "done." );
            }
            catch( Exception e ) 
            {
                out.println( "damn! " + e );
            }
        }
        else
        {
            out.println( "Please complete all fields.  Press your back button to try again." );
        }
        
    }
    
}
